


addpath('/autofs/homes/010/guerin/pTx/Bay5/library');
addpath('/autofs/homes/010/guerin/Utilities_matlab');


close all;

% ROI
load roi;

% B1+ & SODA
fname=select_file('*.fld','./','******* SELECT FLD FILE ***********');
[header B1 B0 mask SODA]=read_fld_file(fname);

nx=SODA.ncols;
ny=SODA.nrows;

b1maps=reshape( B1.data,nx,ny,1,header.ncoils ); %  .* repmat(roi,[1 1 1 header.ncoils]);
b1maps=permute( b1maps,[2 1 3 4] );  % niftii = transpose of DICOM
b1maps=b1maps.*repmat(roi,[1 1 1 8]);
save 'b1maps.mat' 'b1maps';

SODA.cols_pos=( [0:SODA.ncols-1]+0.5 )'*SODA.VoxelWidth + SODA.UpperLeftCornerImage(1);  % this x in the Dicom convention (left to right)
SODA.rows_pos=( [0:SODA.nrows-1]+0.5 )'*SODA.VoxelHeight + SODA.UpperLeftCornerImage(2);  % this y in the Dicom convention (uo to down)
save 'SODA.mat' 'SODA';    

to_disp=[ b1maps(:,:,1,1) b1maps(:,:,1,2) b1maps(:,:,1,3);
    b1maps(:,:,1,4) b1maps(:,:,1,5) b1maps(:,:,1,6);
    b1maps(:,:,1,7) b1maps(:,:,1,8) zeros(size(b1maps(:,:,1,3))) ];

f3=figure; imagesc(abs(to_disp)); axis image; axis off; colormap(hot); colorbar; caxis([0 4e-8]);
set(gca,'FontSize',15);
print(f3,'-djpeg','-r300','B1_mag.jpg');
title('B1 maps [T/V]','FontSize',12);

f4=figure; imagesc(angle(to_disp)); axis image; axis off; colormap(hot); colorbar;
set(gca,'FontSize',15);
print(f4,'-djpeg','-r300','B1_pha.jpg');
title('B1 maps [rad.]','FontSize',12);








