


addpath('/autofs/homes/010/guerin/pTx/Bay5/library');
addpath('/autofs/homes/010/guerin/Utilities_matlab');
addpath('/autofs/homes/010/guerin/mrir_toolbox');
addpath('/autofs/homes/010/guerin/PI_matlab/');


close all;
load roi_manualEdit;
load g;

% B1+ & SODA
fname=select_file('*.fld','./','******* SELECT FLD FILE ***********');
fname2=select_file('*.nii','./','******* SELECT GRE lONG TR FILE ***********');
[header B1 B0 mask SODA]=read_fld_file(fname);

nx=SODA.ncols;
ny=SODA.nrows;

b1maps=reshape( B1.data,nx,ny,1,header.ncoils ); %  .* repmat(roi,[1 1 1 header.ncoils]);
b1maps=permute( b1maps,[2 1 3 4] );  % niftii = transpose of DICOM
b1maps=b1maps.*repmat(roi,[1 1 1 8]);
save 'b1maps.mat' 'b1maps';

SODA.cols_pos=( [0:SODA.ncols-1]+0.5 )'*SODA.VoxelWidth + SODA.UpperLeftCornerImage(1);  % this x in the Dicom convention (left to right)
SODA.rows_pos=( [0:SODA.nrows-1]+0.5 )'*SODA.VoxelHeight + SODA.UpperLeftCornerImage(2);  % this y in the Dicom convention (uo to down)
save 'SODA.mat' 'SODA';    

f=display_nimages(abs(b1maps)); axis image; axis off; colormap(hot); colorbar; caxis([0 4e-8]);
set(gca,'FontSize',15);
print(f,'-djpeg','-r300','B1_mag.jpg');
title('B1 maps [T/V]','FontSize',12);

f=display_nimages(angle(b1maps)); axis image; axis off; colormap(hot); colorbar;
set(gca,'FontSize',15);
print(f,'-djpeg','-r300','B1_pha.jpg');
title('B1 maps [rad.]','FontSize',12);


% calibrate GRE long TR data using the TFL B1 maps in areas without too
% much B0
tmp=load_nifti(fname2);
gre_longTR=permute(tmp.vol,[2 1 3 4]);

b0_mask=roi & abs(b0map)<10;
f=figure; imagesc(b0_mask); axis image off; title('B0 mask');

ind=find(b0_mask>0);
b1maps_greLongTR=zeros(size(b1maps));
for i=1:8        
    gre=gre_longTR(:,:,1,i);
    tfl=b1maps(:,:,1,i);
    b1maps_greLongTR(:,:,1,i)=gre / sum(gre(ind)) * sum(abs(tfl(ind))) .* exp(1j*angle(tfl)) .* roi;
end
b1maps=b1maps_greLongTR;
save b1maps_greLongTR.mat b1maps;

f=display_nimages(abs(b1maps_greLongTR)); axis image; axis off; colormap(hot); colorbar; caxis([0 4e-8]);
set(gca,'FontSize',15);
print(f,'-djpeg','-r300','B1_mag.jpg');
title('B1 maps, GRE long TR [T/V]','FontSize',12);

f=display_nimages(angle(b1maps_greLongTR)); axis image; axis off; colormap(hot); colorbar;
set(gca,'FontSize',15);
print(f,'-djpeg','-r300','B1_pha.jpg');
title('B1 maps, GRE long TR [rad.]','FontSize',12);

































