function img_paft = mrir_conventional_3d(raw, varargin)
%MRIR_CONVENTIONAL_3D  reconstructs conventional (cartesian) acquisitions
%
% img_uncomb = mrir_conventional_3d(raw);
%
% img_uncomb = mrir_conventional_3d(raw, prot);

% jonathan polimeni <jonp@padkeemao.nmr.mgh.harvard.edu>, 2007/jun/01
% $Id: mrir_conventional_3d.m,v 1.2 2011/03/28 04:14:46 jonp Exp $
%**************************************************************************%

  VERSION = '$Revision: 1.2 $';
  if ( nargin == 0 ), help(mfilename); return; end;

  
  if ( mrir_ice_dimensions(raw, 'slc') > 1 ),
    warning(sprintf('input "%s" contains data along dimension "slc"', inputname(1)));
  end;

  varstruct = whos('raw');
  if ( (varstruct.bytes / 2^30) > 8 ),
    warning('input exceeds 8 GB, FFT overflow may occur!');
  end;
  

  %==--------------------------------------------------------------------==%

  if ( nargin >= 2 ),
    [hyb_peft, prot] = mrir_conventional_2d(raw, varargin);
  else,
    [hyb_peft, prot] = mrir_conventional_2d(raw, 0);
  end;
    
    
  img_paft = mrir_iDFT_phasencode(hyb_peft, 'par', prot.lPartitions);


  return;


  %************************************************************************%
  %%% $Source: /space/padkeemao/1/users/jonp/cvsjrp/PROJECTS/IMAGE_RECON/mrir_toolbox/mrir_conventional_3d.m,v $
  %%% Local Variables:
  %%% mode: Matlab
  %%% fill-column: 76
  %%% comment-column: 0
  %%% End:
