function filestr = mrir_sysutil__wildfile(wildfile, varargin)
%MRIR_SYSUTIL__WILDFILE  
%
% filestr = mrir_sysutil_wildfile(wildstr, varargin)

% jonathan polimeni <jonp@nmr.mgh.harvard.edu>, 2009/dec/28
% $Id: mrir_sysutil__wildfile.m,v 1.2 2010/12/07 14:40:39 jonp Exp $
%**************************************************************************%

  VERSION = '$Revision: 1.2 $';
  if ( nargin == 0 ), help(mfilename); return; end;


  %==--------------------------------------------------------------------==%

  % expand wild cards
  [pathstr, basestr, ext]= fileparts(wildfile);

  % overwrite pathstr if input argument provided
  if ( nargin >= 2 ),
    pathstr = varargin{1};
  end;
  
  if ( isempty(dir(fullfile(pathstr, [basestr, ext]))) ),
    error('pattern [%s] does not match existing meas file\n', wildfile);
    return;
  end;

  filestr = fullfile(pathstr, getfield(dir(fullfile(pathstr, [basestr, ext])), {1}, 'name'));

  if ( ~exist(filestr, 'file') ),
    error('pattern [%s] does not match existing file\n', wildfile);
  end;
  
  
  return;



  %************************************************************************%
  %%% $Source: /space/padkeemao/1/users/jonp/cvsjrp/PROJECTS/IMAGE_RECON/mrir_toolbox/mrir_sysutil__wildfile.m,v $
  %%% Local Variables:
  %%% mode: Matlab
  %%% fill-column: 76
  %%% comment-column: 0
  %%% End:

  
