function [YAPS, param_list] = read_meas_prot__struct(varargin)
%READ_MEAS_PROT__STRUCT
%
% [YAPS, param_list] = read_meas_prot__struct(varargin)

% jonathan polimeni <jonp@nmr.mgh.harvard.edu>, 2007/nov/18
% $Id: read_meas_prot__struct.m,v 1.8 2011/03/28 04:14:47 jonp Exp $
%**************************************************************************%

  VERSION = '$Revision: 1.8 $';


  %==--------------------------------------------------------------------==%

  param_list = {'file', 'ulVersion', 'ManufacturersModelName', 'InstitutionName', 'tSequenceFileName', 'tProtocolName', ...
                'iMaxNoOfRxChannels', ...
                'flNominalB0', 'lFrequency', 'flReferenceAmplitude', 'flAmplitude', ...
                'lBaseResolution', 'lPhaseEncodingLines', ...
                'iNoOfFourierLines', 'iNoOfFourierColumns', ...
                'lAccelFactPE', 'lAccelFact3D', ...
                'lRefLinesPE', 'lRefLines3D', ...
                'ucPATMode', 'ucRefScanMode', ...
                'ucPhasePartialFourier', 'ucSlicePartialFourier', ...
                'alTR', 'alTI', 'alTE', 'alTS', ...
                'alDwellTime', 'flBandwidthPerPixelPhaseEncode', 'iEffectiveEpiEchoSpacing', ...
		'adFlipAngleDegree', ...
                'lRepetitions', 'lAverages', 'lContrasts', ...
                'dPhaseResolution', 'lPartitions', ...
                'lNoOfPhaseCorrScans', ...
                'flReadoutOSFactor', 'dPhaseOversamplingForDialog', 'dSliceOversamplingForDialog', ...
                'tGradientCoil', ...
		'sCoilElementID_tElement', ...
                'alRegridRampupTime', 'alRegridRampdownTime', ...
                'alRegridFlattopTime', 'alRegridDelaySamplesTime', ...
                'aflRegridADCDuration', ...
                'alRegridMode', 'ucRegridMode', ...
                'dThickness', 'dPhaseFOV', 'dReadoutFOV', ...
                'sSliceArray.lSize', 'sSliceArray', ...
		'ucMultiSliceMode', ...
                'sDiffusion.lDiffDirections', 'sDiffusion.alBValue',  ...
                'sWiPMemBlock.alFree', 'sWiPMemBlock.adFree'};

  YAPS = cell2struct(cell(length(param_list),1), regexprep(param_list, '\.', '_'), 1);

  return;


  %************************************************************************%
  %%% $Source: /space/padkeemao/1/users/jonp/cvsjrp/PROJECTS/IMAGE_RECON/mrir_toolbox/read_meas_prot__struct.m,v $
  %%% Local Variables:
  %%% mode: Matlab
  %%% fill-column: 76
  %%% comment-column: 0
  %%% End:
